# 2.1 JYunCMS 后端服务的部署

> 基于 Linux 的安装

## 准备

### 运行环境

- Java 1.8+
- MySQL 5.7+

### 工具

- Git
- Maven 3.0+

### 配置数据库

后端程序需要一个数据库，可以执行以下语句在 MySQL中创建所需的数据库

```shell
mysql -u <your-database-user-name> -p -e "CREATE DATABASE jyun_cms_platform CHARACTER SET utf8mb4 COLLATE utf8mb4_bin;"
```

### 获取主程序

通过 Git ，获取源代码

```shell
git clone -b master https://github.com/JYunCMS/jyun-cms-platform.git
```

按需修改 application.yml 配置文件

```shell
ls ./jyun_cms_platform/src/main/resources/
```

通过 Maven 工具，编译生成 jar 包， 结果将输出在 `./target` 文件夹下

```shell
mvn clean package -DskipTests=true
ls ./target/*.jar
```

## 运行

可通过 `java` 命令直接运行上一步编译生成的 jar 包程序

```shell
java -jar your-app.jar
```

如果控制台没有报错，可在浏览器中输入 `http://localhost:8080` 进行验证，若看到 **Welcome** 字样，表示服务启动成功！

## 其他

### 关于运行环境

JYunCMS 后端服务程序，出了直接通过 `java` 命令运行，还可以部署在常规的 Web 服务器上，例如 Tomcat，具体部署方式，请查阅相关文档。




<br/><br/><br/>

<div id="bom">
    <a href="./README.md">返回目录首页</a>
</div>
<br>
<div id="bom">
    <a href="./1.2_intro_framework.md">上一节：1.2 JYunCMS 后台整体架构</a>
    &nbsp;&nbsp;|&nbsp;&nbsp;
    <a href="./2.2_install_front_end.md">下一节：2.2 JYunCMS 前端程序的部署</a>
</div>

<link rel="stylesheet" rev="stylesheet" href="./assets/css/easy-ci.css" type="text/css"/>