# 2.2 JYunCMS 前端程序的部署

> 基于 Linux 的安装

## 准备

### 运行环境

- HTTP 服务器 （推荐：[Nginx](https://nginx.org/)）

### 工具

- node 10.15.x+
- npm 6.x.x+

## 配置

### 准备编译环境

> 如果你的电脑里没有 Node.js 和 npm，请先安装 [它们](https://nodejs.org/en/download/)
>
> 请先在终端窗口中运行命令 `node -v` 和 `npm -v` ，**来验证一下你正在运行 node 10.15.x 和 npm 6.x.x 以上的版本**。更老的版本可能会出现错误，更新的版本则没有问题。

然后全局安装 Angular CLI

```shell
npm install -g @angular/cli
```

> 请耐心等待，安装过程可能比较缓慢，如果因为网络问题安装失败，可配合网络代理工具或切换 mpm 软件源。
>
> 安装结束可在终端窗口中运行命令 `ng --version` **来验证一下你的 Angular ClI 是否安装成功**。

### 获取主程序

通过 Git 工具，获取源代码

```shell
git clone -b master https://github.com/JYunCMS/jyun-cms-web.git
```

从一下位置，找到 `back-end-api.ts` ，修改开头第一个变量 `hostAddress` 的值为上一章节中 JYunCMS 后端服务程序配置的主机地址及启动端口号，以此使前端程序能够正确获取后端服务数据

```shell
ls ./jyun-cms-web/src/app/config/
```

在项目根目录下，通过以下命令，编译生成待部署的前端文件，产物保存在 `dist` 文件夹下

```shell
npm install
ng build --prod
ls ./dist
```

## 运行

可将上一步编译产生的文件，部署在常见的 HTTP 服务器上，这里推荐使用 [Nginx](https://nginx.org/)

注意在（Nginx）server 配置项中，使用 `try_files` 指向 `index.html` ，解决刷新 404 的问题，更多 JYunCMS 前端程序配置说明，请参阅相关文档

> [Nginx - 文档](https://nginx.org/en/docs/)
> [Angular - 中文文档(部署)](https://www.angular.cn/guide/deployment)


<br/><br/><br/>

<div id="bom">
    <a href="./README.md">返回目录首页</a>
</div>
<br>
<div id="bom">
    <a href="./2.1_install_back_end.md">上一节：2.1 JYunCMS 后端服务的部署</a>
    &nbsp;&nbsp;|&nbsp;&nbsp;
    <a href="./3.1_contribution_method.md">下一节：3.1 如何参与贡献</a>
</div>

<link rel="stylesheet" rev="stylesheet" href="./assets/css/easy-ci.css" type="text/css"/>