# 3.1 如何参与贡献

> 本项目接受贡献，下面是一份贡献方法指南
>
> 您可以随时浏览项目 `issues` 来查看 Owner 发布的 **ToDo** 接受任务

## 方法

### Fork 项目到自己的账号

1. 打开 [GitHub](https://github.com) 并登录自己的账号

2. 打开项目首页 [https://github.com/JYunCMS](https://github.com/JYunCMS) 进入想要参与的项目中，比如 [https://github.com/JYunCMS/jyun-cms-doc](https://github.com/JYunCMS/jyun-cms-doc) 

3. Fork 该项目到自己的账户下（点击右上角的 `Fork` 按钮）

4. 打开刚刚 Fork 的仓库主页（在自己账号下面的）

5. `clone` 该项目到本地

6. 切换到 `develop` 分支：**（本项目下所有仓库最新变更均在 `develop` 分支）**

   `git checkout develop` 

7. 修改本地代码，提交，最后推送到远程仓库：

   `git push origin develop` 

### 提交自己修改的内容到源仓库

1. 假设你的改动已经推送到自己账户下的远程仓库
2. 登录 [GitHub](https://github.com) 打开自己 Fork 的仓库，点击 `new pull request` 按钮
3. 然后会跳转到仓库源 repo 下，出现 **pull request** 的界面，选择想要提交的 `branch` ，如果有文件可以提交，下面会有 `Commit` 的按钮，填写 **Description** ，然后等待 **Owner** 审核

### 保持 Fork 的库和源库代码同步

1. 查看前面 `clone` 下来代码的远程仓库的路径：

   `git remote -v` 

2. 配置源仓库（开源项目的）的路径：

   `git remote add upstream https://github.com/JYunCMS/jyun-cms-doc # l举例`

3. 同步源仓库的最新变更：

   `git fetch upstream develop` 

4. 合并源仓库 `develop` 分支的变更到当前本地 `develop` 分支：

   `git merge upstream develop:develop`

5. 此时，你的本地库和源仓库已经完全同步了，但是注意，此时只是你的本地库和远程源仓库同步了，你自己账户的 GitHub 仓库还没有同步，此时需要使用 `git push origin develop` 命令把你本地的仓库提交到自己账户的 GitHub 中

## 说明

- 本项目下所有仓库最新变更均在 `develop` 分支
- 项目下一步迭代任务通常可在项目 **Issues** 看到
- 长期 **Contributor** ，将被添加为项目 **Member** 



<br/><br/><br/>

<div id="bom">
    <a href="./README.md">返回目录首页</a>
</div>
<br>
<div id="bom">
    <a href="./2.2_install_front_end.md">上一节：2.2 JYunCMS 前端程序的部署</a>
    &nbsp;&nbsp;|&nbsp;&nbsp;
    <a href="./3.2_contribution_specification.md">下一节：3.2 代码贡献规范</a>
</div>

<link rel="stylesheet" rev="stylesheet" href="./assets/css/easy-ci.css" type="text/css"/>